#!/bin/sh
echo 'name: HsOpenSSL
version: 0.10.1.2
id: HsOpenSSL-0.10.1.2-fa2e532a68355110c83831aa5567cb40

license: PublicDomain
copyright:
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
package-url:
description: HsOpenSSL is an (incomplete) OpenSSL binding for Haskell. It can
             generate RSA and DSA keys, read and write PEM files, generate
             message digests, sign and verify messages, encrypt and decrypt
             messages. It has also some capabilities of creating SSL clients
             and servers.
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules: OpenSSL OpenSSL.BN OpenSSL.EVP.Base64
                 OpenSSL.EVP.Cipher OpenSSL.EVP.Digest OpenSSL.EVP.Open
                 OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
                 OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
                 OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
                 OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
                 OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.Stack OpenSSL.Utils
                OpenSSL.X509.Name OpenSSL.EVP.Internal OpenSSL.DH.Internal
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2
              /usr/local/lib
hs-libraries: HSHsOpenSSL-0.10.1.2
extra-libraries: crypto ssl
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2/include
includes:
depends: base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         ghc-prim-0.2.0.0-6bf7b03ebc9c668817e4379b6796c0c2
         integer-gmp-0.2.0.3-91607778cf3ae8f3948a50062b4f8479
         network-2.3.0.5-75bce8cc143333941f563998139f1ef8
         old-locale-1.0.0.2-6e2a3c0744e8cf4e0ac2d4e58659f7b5
         time-1.2.0.3-57ebba2cc05370f666b7eceba5e468a9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
